Loading...
Searching...
No Matches
CMR_ContentMappingResource Class Reference

General purpose class hiding global functions used for the "Content Mapping Resource" (CMR) from the global namespace. More...

## Static Public Member Functions

static void | initializeAllContextGroups ()
| initialize all supported context groups of the "Content Mapping Resource" explicitly.
static void | cleanupAllContextGroups ()
| cleanup all supported context groups of the "Content Mapping Resource".

## Detailed Description

General purpose class hiding global functions used for the "Content Mapping Resource" (CMR) from the global namespace.

All functions are static and can, therefore, be accessed without creating an instance of this class.

## Member Function Documentation

## cleanupAllContextGroups()

void CMR_ContentMappingResource::cleanupAllContextGroups | ( |  | ) |

static

cleanup all supported context groups of the "Content Mapping Resource".

Usually, there is no need to call this method, but it might be useful in order to explicitly free the associated memory, e.g. when checking for memory leaks. See initializeAllContextGroups() for a list of supported context groups.

## initializeAllContextGroups()

void CMR_ContentMappingResource::initializeAllContextGroups | ( |  | ) |

static

initialize all supported context groups of the "Content Mapping Resource" explicitly.

Currently, the following context group classes are supported:

- CID11_AdministrationRoute
- CID29_AcquisitionModality
- CID42_NumericValueQualifier
- CID100_QuantitativeDiagnosticImagingProcedure
- CID218_QuantitativeImageFeature
- CID244_Laterality
- CID247_LateralityLeftRightOnly
- CID4020_PETRadionuclide
- CID4021_PETRadiopharmaceutical
- CID4031_CommonAnatomicRegion
- CID5000_Language
- CID5001_Country
- CID6147_ResponseCriteria
- CID7021_MeasurementReportDocumentTitle
- CID7181_AbstractMultiDimensionalImageModelComponentUnit
- CID7445_DeviceParticipatingRole
- CID7452_OrganizationalRole
- CID7453_PerformingRole
- CID7464_GeneralRegionOfInterestMeasurementModifier
- CID7469_GenericIntensityAndSizeMeasurement
- CID7551_GenericPurposeOfReferenceToImagesAndCoordinatesInMeasurement
- CID10013_CTAcquisitionType
- CID10033_CTReconstructionAlgorithm

Note
  In case of multi-threaded applications, this function could be called before any context group is actually used. This might be easier than calling the initialize() function of the respective context group classes separately. However, since the list of supported context groups is increasing over time, the additional resource requirements should be considered. That means, if only a few context groups are used, it is recommended to call the individual initialize() functions instead.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/cmr/init.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0